Function
toViewPosition
Transforms source to view position.
toViewPosition(gaps, pos)
Include Headers
seqan/align.h
Parameters

gap | A Gaps object, e.g. a row in the alignment. Types: Gaps
pos | Position in the original sequence to get the view position for.

Remarks
If gap is a clipped alignment row, gaps in the clipped part will influence the result. The position pos is counted from the unclipped begin position and must be greater or equal the clipped begin position of gap.
Return Values
The position in the view/gaps position.
Member of
Gaps
See Also
toSourcePosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59